//{{{ GPL Notice
/*
 *  ProColFileJList.java
 *  :tabSize=4:indentSize=4:noTabs=false:
 *  :folding=explicit:collapseFolds=1:
 *
 *  part of the ProCol plugin for the jEdit text editor
 *  Copyright (C) 2003-2004 Justin Dieters
 *  enderak@yahoo.com
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
//}}}
package com.enderak.procol.common.gui;

//{{{ Imports
import com.enderak.procol.common.util.*;
import java.util.Arrays;
import javax.swing.*;
//}}}

/**
 *  Extends JList to be sortable
 *
 *@author    Justin Dieters
 */
public class ProColFileJList extends JList {
	/** */
	public ProColFileJList() {
		super();
	}


	/**
	 *@param  listModel  Description of the Parameter
	 */
	public ProColFileJList(DefaultListModel listModel) {
		super(listModel);
	}


	/**  Sorts the elements in this list */
	public void sort() {
		synchronized (this) {
			DefaultListModel listModel  = (DefaultListModel)getModel();
			int listSize                = listModel.getSize();
			if (listSize <= 1) {
				return; // no need to sort if only thing in the list
			}
			Object[] listArray          = listModel.toArray();
			Arrays.sort(listArray, new ProColFileComparator());
			for (int i = 0; i < listSize; i++) {
				listModel.set(i, listArray[i]);
			}
		}
	}
}
